#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.10
visibility:           public
id:                   primitive-extras-0.10.1.10-LmeBTfKZAWNG2sgYNZBQIz
key:                  primitive-extras-0.10.1.10-LmeBTfKZAWNG2sgYNZBQIz
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  66791b460b552ac74a72d8d43eb80ec5
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.10
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.10-LmeBTfKZAWNG2sgYNZBQIz
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    deferred-folds-0.9.18.6-BoiMmPmKgeiGIiHfvu4Ho9
    focus-1.0.3.2-7NAy5JsxlBBBGfJg2Lndqr
    foldl-1.4.15-8gfL9BDqReh7D8r3lCDcos
    list-t-1.0.5.4-4KZzvz4pQGCKORaK7oet1I
    primitive-0.7.4.0-B9Fu4okMgOmJjvJHFt8syV
    primitive-unlifted-0.1.3.1-KFYqNSKAssy916MMtE9o4a
    profunctors-5.6.2-77rxfdHN82s1La9qcyaz5P
    vector-0.13.1.0-BQe94mmHcwnGaa4dX3J4G3

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

